/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Represents a Data Transfer Object (DTO) for vocabulary instance details.
 * @export
 * @interface VocabularyInstanceDto
 */
export interface VocabularyInstanceDto {
    /**
     * The URI of the graph containing the vocabulary.
     * @type {string}
     * @memberof VocabularyInstanceDto
     */
    'graphUri': string;
    /**
     * The URI of the instance.
     * @type {string}
     * @memberof VocabularyInstanceDto
     */
    'instanceUri'?: string;
    /**
     * The URI representing the type of the instance.
     * @type {string}
     * @memberof VocabularyInstanceDto
     */
    'typeUri'?: string | null;
    /**
     * The URI of the direct parent class.
     * @type {string}
     * @memberof VocabularyInstanceDto
     */
    'subClassOfUri'?: string | null;
    /**
     * The display name of the vocabulary instance.
     * @type {string}
     * @memberof VocabularyInstanceDto
     */
    'displayName'?: string | null;
    /**
     * The description of the vocabulary instance.
     * @type {string}
     * @memberof VocabularyInstanceDto
     */
    'description'?: string | null;
}

